---
title: Chef Habitat 0.57.0 Released!
date: 2018-06-15
author: Nell Shamrell-Harrington
tags: release notes
category: release notes
classes: body-article
---

We are happy to announce the release of Chef Habitat 0.57.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to our [downloads page](https://www.habitat.sh/docs/using-habitat/#install-habitat). Thanks again for using Chef Habitat!

## Release Notes Highlights:

### Features and Enhancements:

* Update kubernetes and helm exporters to use latest manifest version [#5125](https://github.com/habitat-sh/habitat/pull/5125) ([krnowak](https://github.com/krnowak))

* Improve error message when acting on a service that isn’t loaded [#5147](https://github.com/habitat-sh/habitat/pull/5147) ([reset](https://github.com/reset)). Running `hab svc load` with a package identifier of a Service that is already loaded will now return an error message that is much more clear.

* `supportbundle` hab subcommand [#5174](https://github.com/habitat-sh/habitat/pull/5174) ([jeremymv2](https://github.com/jeremymv2))

* Add target support so Windows packages work [#5154](https://github.com/habitat-sh/habitat/pull/5154) ([raskchanky](https://github.com/raskchanky))
This is picked up and validated via on-prem depot package provision script.  There are no user facing changes here.  This allows calling code to optionally pass in the target for the packages that are being retrieved, which allows Builder to better support installing Windows packages in the on-prem depot, as well as syncing Windows packages from an upstream depot.

### Bug Fixes:

* `hab bldr job status` panics with no arguments, Make one of group ID or origin arguments required for `hab bldr job status` [#5193](https://github.com/habitat-sh/habitat/pull/5193) ([baumanj](https://github.com/baumanj))

* Allow installing core/hab from channels other than stable with installer [#5186](https://github.com/habitat-sh/habitat/pull/5186) ([baumanj](https://github.com/baumanj))

* `hab svc status <IDENT>` exit status is inconsistent, Make querying an unloaded service status always exit nonzero [#5187](https://github.com/habitat-sh/habitat/pull/5187) ([baumanj](https://github.com/baumanj))

* Ignore Err result in send_msg rather than panicking [#5166](https://github.com/habitat-sh/habitat/pull/5166) ([baumanj](https://github.com/baumanj))
This fixes a crash in the Supervisor where a remote client disconnects before a reply is sent to it’s request. This should (hopefully?) resolve the Travis breakage we’ve seen in the Builder repo

* Fix serialization problem where defaults were injected [#5177](https://github.com/habitat-sh/habitat/pull/5177) ([reset](https://github.com/reset))

* ensure local studio key cache is rooted in FS_ROOT and include public key [#5168](https://github.com/habitat-sh/habitat/pull/5168) ([mwrock](https://github.com/mwrock))

* Ignore Err result in send_msg rather than panicking, hab-sup 0.56.0 crashes if hab-sup client is killed before response is sent, `hab sup status origin/service-name` can take down supervisor (Results::unwrap() called on an Err)
[#5166](https://github.com/habitat-sh/habitat/pull/5166) ([baumanj](https://github.com/baumanj))

## Merged:

* Base package refresh post [#5189](https://github.com/habitat-sh/habitat/pull/5189)
([nellshamrell](https://github.com/nellshamrell))

* Fix link label [#5185](https://github.com/habitat-sh/habitat/pull/5185) ([cnunciato](https://github.com/cnunciato))

* Update bundle creation docs [#5181](https://github.com/habitat-sh/habitat/pull/5181) ([christophermaier](https://github.com/christophermaier))

* Drop Interactive Tutorials and Guides [#5182](https://github.com/habitat-sh/habitat/pull/5182) ([cnunciato](https://github.com/cnunciato))

* Add Options to CLI docs [#5167](https://github.com/habitat-sh/habitat/pull/5167) ([cnunciato](https://github.com/cnunciato))

* add instructions for rerunning choco tests after publishing release [#5142](https://github.com/habitat-sh/habitat/pull/5142) ([mwrock](https://github.com/mwrock))
